List calls
curl --request GET \
--url https://platform.spotzyai.com/api/user/calls \
--header 'Authorization: Bearer <token>'{
"current_page": 1,
"data": [
{
"id": 123,
"assistant_name": "Sales Assistant",
"campaign_name": "Q4 Outreach Campaign",
"type": "outbound",
"duration": 245,
"assistant_phone_number": "+1234567890",
"client_phone_number": "+1987654321",
"status": "completed",
"transcript": "Hello, this is Sarah from SpotzyAI. How are you doing today?...",
"variables": {
"customer_name": "John Smith",
"interest_level": "high",
"follow_up_date": "2025-08-15"
},
"evaluation": {
"sentiment": "positive",
"outcome": "qualified_lead",
"score": 8.5
},
"webhook_response": {
"status": "success",
"data": {
"crm_contact_id": "abc123"
}
},
"carrier_cost": 0.02,
"total_cost": 0.025,
"answered_by": "human",
"recording_url": "https://recordings.spotzyai.com/calls/123.mp3",
"created_at": "2025-08-04 14:30:00",
"updated_at": "2025-08-04 14:34:05"
}
],
"first_page_url": "https://platform.spotzyai.com/api/user/calls?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://platform.spotzyai.com/api/user/calls?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://platform.spotzyai.com/api/user/calls?page=1",
"label": "1",
"active": true
},
{
"url": "https://platform.spotzyai.com/api/user/calls?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://platform.spotzyai.com/api/user/calls?page=2",
"path": "https://platform.spotzyai.com/api/user/calls",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
Calls
List calls
List all calls for the authenticated user with filtering options
GET
/
user
/
calls
List calls
curl --request GET \
--url https://platform.spotzyai.com/api/user/calls \
--header 'Authorization: Bearer <token>'{
"current_page": 1,
"data": [
{
"id": 123,
"assistant_name": "Sales Assistant",
"campaign_name": "Q4 Outreach Campaign",
"type": "outbound",
"duration": 245,
"assistant_phone_number": "+1234567890",
"client_phone_number": "+1987654321",
"status": "completed",
"transcript": "Hello, this is Sarah from SpotzyAI. How are you doing today?...",
"variables": {
"customer_name": "John Smith",
"interest_level": "high",
"follow_up_date": "2025-08-15"
},
"evaluation": {
"sentiment": "positive",
"outcome": "qualified_lead",
"score": 8.5
},
"webhook_response": {
"status": "success",
"data": {
"crm_contact_id": "abc123"
}
},
"carrier_cost": 0.02,
"total_cost": 0.025,
"answered_by": "human",
"recording_url": "https://recordings.spotzyai.com/calls/123.mp3",
"created_at": "2025-08-04 14:30:00",
"updated_at": "2025-08-04 14:34:05"
}
],
"first_page_url": "https://platform.spotzyai.com/api/user/calls?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://platform.spotzyai.com/api/user/calls?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://platform.spotzyai.com/api/user/calls?page=1",
"label": "1",
"active": true
},
{
"url": "https://platform.spotzyai.com/api/user/calls?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://platform.spotzyai.com/api/user/calls?page=2",
"path": "https://platform.spotzyai.com/api/user/calls",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
This endpoint allows you to list all calls belonging to the authenticated user with various filtering options.
Query Parameters
Filter calls by status. Possible values:
initiated, ringing, busy, in-progress, ended, completed, ended_by_customer, ended_by_assistant, no-answer, failedFilter calls by type. Possible values:
inbound, outbound, webFilter calls by client phone number
Filter calls by assistant ID
Filter calls by campaign ID
Filter calls from this date (YYYY-MM-DD format)
Filter calls until this date (YYYY-MM-DD format)
Number of calls per page (1-100, default: 15)
Page number (default: 1)
Response fields
Show properties
Show properties
The unique identifier of the call
The name of the assistant that handled the call
The name of the campaign this call belongs to (if applicable)
The type of the call (
inbound, outbound, or web)The duration of the call in seconds
The phone number used by the assistant
The phone number of the client
The current status of the call
The transcript of the call conversation
Variables collected during the call
Evaluation data for the call performance
Response from any configured webhooks
The cost charged by the carrier for this call
The total cost of the call including all fees
Who answered the call (
human, machine, or unknown)URL to the call recording (if available and enabled)
The date and time when the call was created
The date and time when the call was last updated
The current page number
Number of items per page
Total number of calls matching the criteria
The last page number
{
"current_page": 1,
"data": [
{
"id": 123,
"assistant_name": "Sales Assistant",
"campaign_name": "Q4 Outreach Campaign",
"type": "outbound",
"duration": 245,
"assistant_phone_number": "+1234567890",
"client_phone_number": "+1987654321",
"status": "completed",
"transcript": "Hello, this is Sarah from SpotzyAI. How are you doing today?...",
"variables": {
"customer_name": "John Smith",
"interest_level": "high",
"follow_up_date": "2025-08-15"
},
"evaluation": {
"sentiment": "positive",
"outcome": "qualified_lead",
"score": 8.5
},
"webhook_response": {
"status": "success",
"data": {
"crm_contact_id": "abc123"
}
},
"carrier_cost": 0.02,
"total_cost": 0.025,
"answered_by": "human",
"recording_url": "https://recordings.spotzyai.com/calls/123.mp3",
"created_at": "2025-08-04 14:30:00",
"updated_at": "2025-08-04 14:34:05"
}
],
"first_page_url": "https://platform.spotzyai.com/api/user/calls?page=1",
"from": 1,
"last_page": 10,
"last_page_url": "https://platform.spotzyai.com/api/user/calls?page=10",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://platform.spotzyai.com/api/user/calls?page=1",
"label": "1",
"active": true
},
{
"url": "https://platform.spotzyai.com/api/user/calls?page=2",
"label": "2",
"active": false
}
],
"next_page_url": "https://platform.spotzyai.com/api/user/calls?page=2",
"path": "https://platform.spotzyai.com/api/user/calls",
"per_page": 15,
"prev_page_url": null,
"to": 15,
"total": 150
}
Was this page helpful?
⌘I

